kdeui Library: KToolBarPopupAction Class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KToolBarPopupAction Class Reference

This action is a normal action everywhere, except in a toolbar where it also has a popupmenu (optionnally delayed). More...

`#include <kactionclasses.h>`

Inheritance diagram for KToolBarPopupAction:

[legend]
Collaboration diagram for KToolBarPopupAction:

[legend]
List of all members.

## Public Member Functions
| KToolBarPopupAction (const QString &text, const QString &icon, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KToolBarPopupAction (const QString &text, const QString &icon, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent=0, const char *name=0)
| KToolBarPopupAction (const KGuiItem &item, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
virtual int | plug (QWidget *widget, int index=-1)
KPopupMenu * | popupMenu () const
bool | delayed () const
void | setDelayed (bool delayed)
bool | stickyMenu () const
void | setStickyMenu (bool sticky)
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)
## Properties
bool | delayed
bool | stickyMenu

## Detailed Description

This action is a normal action everywhere, except in a toolbar where it also has a popupmenu (optionnally delayed).

This action is designed for history actions (back/forward, undo/redo) and for any other action that has more detail in a toolbar than in a menu (e.g. tool chooser with "Other" leading to a dialog...).

Definition at line 1050 of file kactionclasses.h.

## Constructor & Destructor Documentation

KToolBarPopupAction::KToolBarPopupAction | ( | const QString & | text,
|  | const QString & | icon,
|  | const KShortcut & | cut = `KShortcut()`,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |

  | Create a KToolBarPopupAction, with a text, an icon, an optional accelerator, parent and name. Parameters:
  | text | The text that will be displayed.
  | icon | The icon to display.
  | cut | The corresponding keyboard accelerator (shortcut).
  | parent | This action's parent.
  | name | An internal name for this action.
Definition at line 1765 of file kactionclasses.cpp.

KToolBarPopupAction::KToolBarPopupAction | ( | const QString & | text,
|  | const QString & | icon,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |

  | Create a KToolBarPopupAction, with a text, an icon, an accelerator, a slot connected to the action, parent and name. If you do not want or have a keyboard accelerator, set the `cut` param to 0. Parameters:
  | text | The text that will be displayed.
  | icon | The icon to display.
  | cut | The corresponding keyboard accelerator (shortcut).
  | receiver | The SLOT's owner.
  | slot | The SLOT to invoke to execute this action.
  | parent | This action's parent.
  | name | An internal name for this action.
Definition at line 1776 of file kactionclasses.cpp.

KToolBarPopupAction::KToolBarPopupAction | ( | const KGuiItem & | item,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | KActionCollection * | parent,
|  | const char * | name
| ) |

  | Create a KToolBarPopupAction, with a KGuiItem, an accelerator, a slot connected to the action, parent and name. The text and the icon are taken from the KGuiItem. If you do not want or have a keyboard accelerator, set the `cut` param to 0. Parameters:
  | item | The text and icon that will be displayed.
  | cut | The corresponding keyboard accelerator (shortcut).
  | receiver | The SLOT's owner.
  | slot | The SLOT to invoke to execute this action.
  | parent | This action's parent.
  | name | An internal name for this action.
Definition at line 1789 of file kactionclasses.cpp.

## Member Function Documentation

int KToolBarPopupAction::plug | ( | QWidget * | widget,
|  | int | index = `-1`
| ) | `[virtual]`

  | "Plug" or insert this action into a given widget. This will typically be a menu or a toolbar. From this point on, you will never need to directly manipulate the item in the menu or toolbar. You do all enabling/disabling/manipulation directly with your KAction object. Parameters:
  | widget | The GUI element to display this action
  | index | The position into which the action is plugged. If this is negative, the action is inserted at the end.
Reimplemented from KAction. Definition at line 1822 of file kactionclasses.cpp. References QWhatsThis::add(), QObject::connect(), delayed(), QObject::destroyed(), KToolBar::getButton(), KAction::getToolButtonID(), KAction::iconSet(), KToolBar::insertButton(), KGlobal::instance(), KActionCollection::instance(), KAction::isEnabled(), KAction::plug(), popupMenu(), KToolBar::setDelayedPopup(), KToolBarButton::setPopup(), KAction::slotButtonClicked(), stickyMenu(), and KAction::whatsThis().

KPopupMenu * KToolBarPopupAction::popupMenu | ( |  | ) | const

| The popup menu that is shown when clicking (some time) on the toolbar button. You may want to plug items into it on creation, or connect to aboutToShow for a more dynamic menu. Definition at line 1871 of file kactionclasses.cpp. References m_popup. Referenced by plug().

bool KToolBarPopupAction::delayed | ( |  | ) | const

| Returns true if this action creates a delayed popup menu when plugged in a KToolbar. Referenced by plug().

void KToolBarPopupAction::setDelayed | ( | bool | delayed | ) |

| If set to true, this action will create a delayed popup menu when plugged in a KToolbar. Otherwise it creates a normal popup. Default: delayed. Definition at line 1810 of file kactionclasses.cpp.

bool KToolBarPopupAction::stickyMenu | ( |  | ) | const

| Returns true if this action creates a sticky popup menu. See setStickyMenu. Referenced by plug().

void KToolBarPopupAction::setStickyMenu | ( | bool | sticky | ) |

| If set to true, this action will create a sticky popup menu when plugged in a KToolbar. "Sticky", means it's visible until a selection is made or the mouse is clicked elsewhere. This feature allows you to make a selection without having to press and hold down the mouse while making a selection. Only available if delayed() is true. Default: sticky. Definition at line 1818 of file kactionclasses.cpp.

The documentation for this class was generated from the following files:

- kactionclasses.h
- kactionclasses.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:38 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003